Subject: [lisp] Move RFC7954 and RFC7955 to HISTORIC

From: Luigi Iannone <[email-masked]>
Date: Wed, 20 Nov 2019 10:43:28 +0800

Folks,

as discussed yesterday during the f2f meeting, we plan to move RFC7954 and RFC7955 to HISTORIC state.

Rationale is described in the text provide below. This text will be associated to the documents so to keep track of the LISP EID prefix experiment.

Please let us know if you have any comment.

We plan to move forward in one week time.

Thanks

Ciao

L.

—————————————— PROPOSED TEXT———————————————

RFC 7954 created an experimental IPv6 prefix, namely 2001:5::/32, to be used as Endpoint-IDentifier (EID) space for the Locator/Identifier Separation Protocol (LISP).  The reserved address space was requested for an initial 3-year period
starting in September 2016 (until September 2019), with an option to extend it by three years (until September 2022) upon the decision of the IETF.
RFC 7955 describes a framework for the management of the prefix crested by RFC 7954. As described in RFC 7955, RIPE NCC volunteered to provide registration service during the experiment (up to 2022 at latest).

The initial experiment was supposed to last three years, until September 2019.
The option to extend the experiment to three more years was subject to the requirements written in section 10 of RFC 7954:

 Following the policies outlined in
  [RFC5226], upon IETF Review, the decision should be made on whether
  to have a permanent EID block assignment by September 2019.  If no
  explicit action is taken or, if the IETF Review outcome is that it is
  not worth having a reserved prefix as a global EID space, the whole
  /32 will be taken out from the "IANA IPv6 Special-Purpose Address
  Registry" and put back in the free pool managed by IANA.

In August 2019 RIPE NCC contacted the LISP WG asking if any action was ongoing concerning the extension of the experiment. The LISP WG concluded that very few requests have been made during three years and there was no compelling reason to extent the experiment. No further action has been taken by the LISP WG or the IETF. As such, in accordance with Section 10 of RFC 7954, RIPE NCC de-registered the existing assignments and IANA put the prefix back in the free pool (removing the entry from https://www.iana.org/assignments/iana-ipv6-special-registry <https://www.iana.org/assignments/iana-ipv6-special-registry>).

At this point, RFC 7954 and RFC 7955 refer to a prefix that does not exists anymore. As such it make sense to move both documents to the status of "HISTORIC". This note, associated with the status change of the two RFCs will allow to keep track of the LISP EID prefix experiment.

---

From: Luigi Iannone <[email-masked]>
Date: Thu, 28 Nov 2019 12:34:08 +0100

All,

no objections have been received.

We will move forward and ask to put these two documents in HISTORIC state.

Thanks

Ciao

L.

> On 20 Nov 2019, at 03:43, Luigi Iannone <[email-masked]> wrote:
> 
> Folks,
>